Issue 88090

Summary: gio (glib gnome-vfs2 replacement) ucb content provider
Product: ucb Reporter: caolanm
Component: codeAssignee: caolanm
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: ht990332, issues, kai.sommerfeld
Version: DEV300m5   
Target Milestone: OOo 3.0   
Hardware: All   
OS: Linux   
Issue Type: PATCH Latest Confirmation on: ---
Developer Difficulty: ---
Attachments:
Description Flags
jan's patch
none
how it looks as a replacement patch none

Description caolanm 2008-04-09 11:56:24 UTC
Current patch
Comment 1 caolanm 2008-04-09 12:03:43 UTC
Created attachment 52683 [details]
jan's patch
Comment 2 kai.sommerfeld 2008-04-09 12:24:59 UTC
cmc: May I asked why we need another GVFS Content Provider? Is it supposed to
replace the existing one?

Regarding the patch: Only did a very quick look and noticed one thing. Please
prefix (at lest) all cxx files in ucb/source/ucp/gio with something like gvfs_
ori gio_ to avoid name clashes in the project's output tree. This is not a real
problem at the moment, but the original GVFS Provider implementation did this
wrong as well and somehow it slipped into CVS by oversight. We should do this
better now in the first place. 
Comment 3 caolanm 2008-04-09 12:34:56 UTC
preliminary gvfs not gnome-vfs, the current "gvfs" is unfortunately named really
http://fosswire.com/2007/11/25/goodbye-gnomevfs-hello-giogvfs/ Need to select
some sort of name for it that clarifies that, e.g. gio or sommat.

I haven't even looked at the patch yet, but I'll take that on board.
Comment 4 kai.sommerfeld 2008-04-09 12:54:14 UTC
corrected summary.
Comment 5 kai.sommerfeld 2008-04-09 14:47:41 UTC
cmc: Seems, that this patch does nothing else than to copy everything from
ucb/source/ucp/gvfs to ucb/source/ucp/gio and to adjust names from gvfs to gio
here and there. I have not checked whether the patch introduces any functional
changes.

If we want to integrate this patch, please rename the cxx files like a suggested
above and don't forget to "cvs remove" the old files in ucb and offapi, maybe
there are some more. 
Comment 6 caolanm 2008-04-30 15:56:25 UTC
Working on this now
Comment 7 caolanm 2008-04-30 17:24:54 UTC
workspace ucpgio1
Comment 8 caolanm 2008-05-01 11:20:36 UTC
done in ucpgio1

1) added a --enable-gio which is by default *off*
2) for places where we have ENABLE_GVFS used as a "build gnome bits" alias then
also allow ENABLE_GIO to build the same bits where it makes sense
3) add a gio subdir in ucb and add the provider to be only built with ENABLE_GIO
4) made it work and add a mounter and loads of refactoring and cleanups
5) in officecfg add a .xcu module to add the provider to the config as an
optional module only installed if ENABLE_GIO is enabled.

so, all in all doesn't affect the vanilla build unless at a later stage vanilla
wants to build it itself when gio becomes more prevalent than gnome-vfs2 or
wants to remove gnome-vfs2 support in favour of gio support, something I
wouldn't suggest to happen just yet. i.e. what's there stays there and this is
an optional replacement or additional provider that has to be enabled at build-time

cmc->kso: Any comments or other potential problems ?
Comment 9 caolanm 2008-05-01 11:34:09 UTC
Created attachment 53297 [details]
how it looks as a replacement patch
Comment 10 kai.sommerfeld 2008-05-02 08:11:10 UTC
cmc: If I got you right we now have duplicated code and must apply every change
for both gvfs and gio UCP. This is something I don't like very much. Isn't it
possible to avoid the duplication of the UCP code?
Comment 11 caolanm 2008-05-02 08:44:13 UTC
What code duplication do you refer to exactly ? gnome-vfs2 and gio are two
different things with different APIs and models, so the duplication between the
providers outside of the boilerplate stuff should be relatively small and pretty
much equivalent to e.g. the duplication between odma and ftp.
Comment 12 kai.sommerfeld 2008-05-02 09:57:55 UTC
cmc: Ah! Got that completely wrong in the first place. Sorry. No more concerns,
then.
Comment 13 caolanm 2008-05-06 13:44:13 UTC
self-verified, doesn't get built for anyone that doesn't explicitly enable it
Comment 14 caolanm 2008-05-19 12:43:43 UTC
seen in DEV300_m13